Is OS Monterey compatible with Lightroom Classic on a late 2014 iMac desktop computer?

Community Beginner ,
Aug 17, 2022 Aug 17, 2022

Copy link to clipboard

Copied

I would like to upgrade to OS Monterey on my late 2014 iMac. (I presently run Catalina 10.15.7)

Would there be problems running Lightroom Classic or PS Elements 2021?

Thanks for any help!

TOPICS
macOS

Views

60

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines

correct answers 1 Correct answer

Community Expert , Aug 17, 2022 Aug 17, 2022

For Mac > OS compatibility you're normally best checking on the lists provided by Apple. The compatibility list for Monterey is at https://support.apple.com/en-gb/HT212551 Note that it doesn't include the Late 2014 iMac. 

 

 

Likes

Translate

Translate
Community Beginner ,
Aug 17, 2022 Aug 17, 2022

Copy link to clipboard

Copied

I should probably add I have Lightroom Classic 11.4.1.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Expert ,
Aug 17, 2022 Aug 17, 2022

Copy link to clipboard

Copied

For Mac > OS compatibility you're normally best checking on the lists provided by Apple. The compatibility list for Monterey is at https://support.apple.com/en-gb/HT212551 Note that it doesn't include the Late 2014 iMac. 

 

 

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Beginner ,
Aug 19, 2022 Aug 19, 2022

Copy link to clipboard

Copied

Thank you so very much for your reply. Yes, you are correct that my iMac is not listed as compatible with Monterey. So I will just continue with Catalina.

Thank you again for your help!

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Expert ,
Aug 18, 2022 Aug 18, 2022

Copy link to clipboard

Copied

If your Mac can run Monterey, then it can run the latest version of Lightroom Classic. It seems like your Mac cannot run Monterey however, as @Ian Lyons explains.

 

-- Johan W. Elzenga

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Beginner ,
Aug 19, 2022 Aug 19, 2022

Copy link to clipboard

Copied

Yes, @IanLyons was correct in that my iMac will not run Monterey. I thank you so much for your input with my question, @JohanElzenga.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Expert ,
Aug 19, 2022 Aug 19, 2022

Copy link to clipboard

Copied

LATEST

You may want to update to Big Sur, as Catalina will be dropped from support this fall.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines

Save time with Adobe Express quick actions